commit:     1e3fe61be090fe5a8e69a4bd3544f012ec975a2f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 31 19:10:05 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jan 31 19:10:25 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e3fe61b

dev-python/sniffio: New package, indirect dep of denonavr

A new package to detect asyncio library used, required by httpx
that in turn is a dependency of dev-python/denonavr.  Not really
meaningful for Gentoo right now since we do not package any alternate
asyncio implementations.

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sniffio/Manifest             |  1 +
 dev-python/sniffio/metadata.xml         | 12 ++++++++++++
 dev-python/sniffio/sniffio-1.2.0.ebuild | 31 +++++++++++++++++++++++++++++++
 3 files changed, 44 insertions(+)

diff --git a/dev-python/sniffio/Manifest b/dev-python/sniffio/Manifest
new file mode 100644
index 00000000000..d096430d8bf
--- /dev/null
+++ b/dev-python/sniffio/Manifest
@@ -0,0 +1 @@
+DIST sniffio-1.2.0.gh.tar.gz 17335 BLAKE2B 
0d67baa18702ac38932680bdc741c87ee0a31342cc752c1463a7f90720ea0ebf6d62ef682a042c58e8fe96456e1461638e0f02c6f60da5f5e0d07464be27a4a3
 SHA512 
8e1dd2bb6fc22ee5824adfffe688ff0621b8c1ef5daea594dedce13d5e04a498e05816bb32e9bbed206a653a330ff710df57c888ddcff00a6254eafddc538273

diff --git a/dev-python/sniffio/metadata.xml b/dev-python/sniffio/metadata.xml
new file mode 100644
index 00000000000..0c53f9f9d1e
--- /dev/null
+++ b/dev-python/sniffio/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+       </maintainer>
+       <stabilize-allarches/>
+       <upstream>
+               <remote-id type="github">python-trio/sniffio</remote-id>
+               <remote-id type="pypi">sniffio</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/dev-python/sniffio/sniffio-1.2.0.ebuild 
b/dev-python/sniffio/sniffio-1.2.0.ebuild
new file mode 100644
index 00000000000..fb884d90810
--- /dev/null
+++ b/dev-python/sniffio/sniffio-1.2.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Sniff out which async library your code is running under"
+HOMEPAGE="
+       https://github.com/python-trio/sniffio/
+       https://pypi.org/project/sniffio/";
+SRC_URI="
+       https://github.com/python-trio/sniffio/archive/v${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests pytest
+
+python_test() {
+       local deselect=(
+               # curio is not packaged
+               sniffio/_tests/test_sniffio.py::test_curio
+       )
+
+       pytest -vv ${deselect[@]/#/--deselect } ||
+               die "Tests failed with ${EPYTHON}"
+}

Reply via email to